Subject: Running own Nixery

From: [email-masked]
Date: Mon, 12 Feb 2024 15:17:32 +0000

Hi all.
First i want to say that i have no words to express my good feelings about the Nixery project.
Well done.
How ever i have a issue to run it locally for tests
I followed the manual here:
https://nixery.appspot.com/run-your-own.html (https://nixery.appspot.com/run-your-own.html)
1. I builded localy the image from the source and upload it to AWS public repository public.ecr.aws/b4t7o0x6/nixery-image:latest 

2. I ran it into gcp as kubernetes cluster and tried in AWS ECS fargate container
It started successfully and i am able to see the webpage which is same as https://nixery.dev/ (https://nixery.dev/) but it is on http
3. I tried with different approaches in VAR ENV
I tried with GCP bucket and filesystem for backend
 I tried with NIXERY_CHANNEL 23.11
 NIXERY_CHANNEL nixos-unstable
 and with NIXERY_PKGS_REPO https://github.com/NixOS/nixpkgs.git (https://github.com/NixOS/nixpkgs.git)
 as a packages source variables
 I tried with NIX_TIMEOUT 500 and 90000
 i can see webpage of nixery when open the ip
 if i try to docker pull something
 every time for a short than a minute it gives :
 docker pull IP/shell/git/htop
 Using default tag: latest
 Error response from daemon: Get "https://IP/v2/ (https://IP/v2/)": net/http: request canceled while waiting for connection (Client.Timeout exceeded while awaiting headers)
Is this is because i use http and docker assumes that all registries are https ?

 Can you help me please ?